Cart 0
Audiority The Abuser

The Abuser ,

Aggressive distortion unit. VST, AU and AAX

$49.00

SKU: AUDPLG1. Categories: , . Tag: .

Aggressive distortion unit. VST, AU and AAX

The Abuser is an aggressive distortion effect ideal to give you a unique sound to your guitars, bass, synthesizers, drums and much more. We programmed a rich sounding distortion to fit in both vintage and modern music styles.

Audiority_TheAbuser_GUI_v13
Current version: v1.3.1 (October 2016)

From v1.3 The Abuser comes with 10 different algorithm to further destroy your sound.

System Requirements

PC

  • Windows XP SP3 or later
  • Intel Core2Duo 2GHz / AMD Athlon 64 or equivalent
  • 2GB RAM
  • Screen resolution: 1024×768
  • VST2, AAX 32-bit or 64-bit host

MAC

  • OSX 10.7.5 or later
  • Core Duo 2GHz
  • 2GB RAM
  • Screen resolution: 1024×768
  • VST2, AU and AAX 32-bit or 64-bit host

Download Manual
The Abuser User Manual download


The Abuser v1.3.1 – Demo PC
The Abuser v1.3.1 – Demo OSX

In demo mode the plug-in will output silence for 3 seconds every 60 seconds.




v1.3 (October 2016)
– NEW: New Framework
– NEW: HQ Mode (4x Oversampling)
– NEW: 10 Waveshaping Modes
– NEW: More presets
– FIX: Automations now report correct values (no more 0-1)

v1.2 (February 2015)
– AAX 32/64 bit support

v1.1 (December 2014)
– Feature: Feedback knob

v1.0 (November 2014)
– Original release

Be the first to review “The Abuser”